<?php

namespace App\Http\Controllers\Admin;

use App\Models\Template;
use App\Constants\Status;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class TemplateController extends Controller
{

    public function index()
    {
        $pageTitle = 'Manage Template';
        $templates = Template::latest()->filter(['status'])->paginate(getPaginate());
        return view('admin.template.index', compact('pageTitle', 'templates'));
    }

    public function save(Request $request, $id = 0)
    {
        $request->validate([
            'name'    => 'required|unique:templates,name,' . $id,
            'message' => 'required|string',
        ]);

        if ($id) {
            $template         = Template::findOrFail($id);
            $template->status = $request->status ? Status::ENABLE : Status::DISABLE;
            $message          = "Template updated successfully";
        } else {
            $template = new Template();
            $message  = "Template added successfully";
        }

        $template->name    = $request->name;
        $template->message = $request->message;
        $template->save();
        
        $notify[] = ['success', $message];
        return back()->withNotify($notify);
    }
    
    public function status($id)
    {
        return Template::changeStatus($id);
    }
}
