<?php

namespace App\Models;

use App\Constants\Status;
use App\Traits\FileExport;
use App\Traits\GlobalStatus;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Contact extends Model
{
    use FileExport, HasFactory, GlobalStatus;

    public function scopeActive($query)
    {
        return $query->where('status', Status::ENABLE);
    }
    public function scopeBanned($query)
    {
        return $query->where('status', Status::DISABLE);
    }

    public function groupContact()
    {
        return $this->belongsToMany(Group::class, 'group_contacts', 'contact_id');
    }
}
