@extends('admin.layouts.app')

@section('panel')
    <div class="row gy-4">
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="6" link="{{ route('admin.sms.index') }}" title="Total SMS" icon="fas fa-envelope" value="{{ $sms['total'] }}" bg="primary" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="6" link="{{ route('admin.sms.index') }}?status={{ Status::SMS_DELIVERED }}" title="Delivered SMS" icon="fas fa-comments" value="{{ $sms['delivered'] }}" bg="success" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="6" link="{{ route('admin.sms.index') }}?status={{ Status::SMS_PENDING }}" title="Pending SMS" icon="fas fa-envelope-open-text" value="{{ $sms['pending'] }}" bg="warning" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="6" link="{{ route('admin.sms.index') }}?status={{ Status::SMS_SCHEDULED }}" title="Scheduled SMS" icon="fas fa-calendar" value="{{ $sms['schedule'] }}" bg="17" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="7" link="{{ route('admin.sms.index') }}?status={{ Status::SMS_PROCESSING }}" title="Processing SMS" icon="fas fa-comment-dots" value="{{ $sms['processing'] }}" bg="1" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="7" link="{{ route('admin.sms.index') }}?status={{ Status::SMS_FAILED }}" title="Failed SMS" icon="fas fa-comment-slash" value="{{ $sms['failed'] }}" bg="danger" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="7" link="{{ route('admin.sms.index') }}?sms_type={{ Status::SMS_TYPE_SEND }}" title="Total Send SMS" icon="fas fa-share-square" value="{{ $sms['total_send'] }}" bg="7" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="7" link="{{ route('admin.sms.index') }}?sms_type={{ Status::SMS_TYPE_RECEIVED }}" title="Total Received SMS" icon="fas fa-sms" value="{{ $sms['total_received'] }}" bg="11" />
        </div><!-- dashboard-w1 end -->
    </div><!-- row end-->

    <div class="row gy-4 mt-2">
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="6" link="{{ route('admin.contact.index') }}" title="Total Contact" icon="fas fa-address-card" value="{{ $contact['total'] }}" bg="success" outline="true" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="6" link="{{ route('admin.contact.index') }}?status={{ Status::ENABLE }}" title="Active Contact" icon="fas fa-user-check" value="{{ $contact['active'] }}" bg="1" outline="true" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="6" link="{{ route('admin.contact.index') }}?status={{ Status::DISABLE }}" title="Inactive Contact" icon="fas fa-user-slash" value="{{ $contact['banned'] }}" bg="danger" outline="true" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="6" link="{{ route('admin.template.index') }}" title="Total Template" icon="fas fa-align-justify" value="{{ $template['total'] }}" bg="primary" outline="true" />
        </div><!-- dashboard-w1 end -->
    </div><!-- row end-->

    <div class="row gy-4 mt-2">
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="3" link="{{route('admin.device.index')}}" icon="las la-mobile" title="Total Device" value="{{ __($device['total']) }}" bg="primary" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="3" link="{{route('admin.device.index')}}?status={{ Status::ENABLE }}" icon="las la-sd-card" title="Connected Device" value="{{ __($device['connected']) }}" bg="1" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="3" link="{{route('admin.device.index')}}?status={{ Status::DISABLE }}" icon="las la-database" title="Disconnected Device" value="{{ __($device['disconnected']) }}" bg="14" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="3" link="{{route('admin.template.index')}}?status={{ Status::ENABLE }}" icon="las la-list-alt" title="Active Templates" value="{{ __($template['active']) }}" bg="19" />
        </div><!-- dashboard-w1 end -->
    </div><!-- row end-->

    <div class="row gy-4 mt-2">
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="7" link="{{route('admin.group.index') }}" title="Total Group" icon="fas fa-users" value="{{ __($group['total']) }}" bg="primary" type="2" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="7" link="{{ route('admin.group.index') }}?status={{ Status::ENABLE }}" title="Active Group" icon="fas fa-users-cog" value="{{ __($group['active']) }}" bg="success" type="2" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="7" link="{{ route('admin.group.index') }}?status={{ Status::DISABLE }}" title="Inactive Group" icon="fas fa-times-circle" value="{{ __($group['inactive']) }}" bg="16" type="2" />
        </div><!-- dashboard-w1 end -->
        <div class="col-xxl-3 col-sm-6">
            <x-widget style="7" link="{{ route('admin.template.index') }}?status={{ Status::DISABLE }}" title="Inactive Template" icon="fas fa-list-ul" value="{{ __($template['inactive']) }}" bg="danger" type="2" />
        </div><!-- dashboard-w1 end -->
    </div>

    @include('admin.partials.cron_modal')

@endsection

@push('breadcrumb-plugins')
    <button class="btn btn-outline--primary btn-sm" data-bs-toggle="modal" data-bs-target="#cronModal">
        <i class="las la-server"></i>@lang('Cron Setup')
    </button>
@endpush

@push('script-lib')
    <script src="{{ asset('assets/admin/js/vendor/apexcharts.min.js') }}"></script>
    <script src="{{ asset('assets/admin/js/vendor/chart.js.2.8.0.js') }}"></script>
    <script src="{{ asset('assets/admin/js/moment.min.js') }}"></script>
    <script src="{{ asset('assets/admin/js/daterangepicker.min.js') }}"></script>
    <script src="{{ asset('assets/admin/js/charts.js') }}"></script>
@endpush

@push('style-lib')
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/admin/css/daterangepicker.css') }}">
@endpush
