@extends('admin.layouts.app')
@section('panel')
    <div class="row mb-none-30">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body">
                    <form method="POST">
                        @csrf
                        <div class="row">
                            <div class="col-xl-3 col-sm-6">
                                <div class="form-group ">
                                    <label> @lang('Site Title')</label>
                                    <input class="form-control" type="text" name="site_name" required value="{{ gs('site_name') }}">
                                </div>
                            </div>
                            <div class="form-group col-xl-3 col-sm-6">
                                <label> @lang('Timezone')</label>
                                <select class="select2 form-control" name="timezone">
                                    @foreach ($timezones as $key => $timezone)
                                        <option value="{{ @$key }}" @selected(@$key == $currentTimezone)>{{ __($timezone) }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group col-xl-3 col-sm-6">
                                <label> @lang('Batch Prefix')</label>
                                <input class="form-control" type="text" name="batch_id_prefix" required value="{{ gs('batch_id_prefix') }}">
                            </div>
                            <div class="form-group col-xl-3 col-sm-6">
                                <label> @lang('Record to Display Per page')</label>
                                <select class="select2 form-control" name="paginate_number" data-minimum-results-for-search="-1">
                                    <option value="20" @selected(gs('paginate_number') == 20)>@lang('20 items per page')</option>
                                    <option value="50" @selected(gs('paginate_number') == 50)>@lang('50 items per page')</option>
                                    <option value="100" @selected(gs('paginate_number') == 100)>@lang('100 items per page')</option>
                                </select>
                            </div>
                        </div>
                        <div class="border-line-area mb-3 mt-3">
                            <h4 class="border-line-title">@lang('Pusher Setting')</h4>
                        </div>
                        <div class="row">
                            <div class="form-group col-sm-6">
                                <label> @lang('Pusher App ID')</label>
                                <input type="text" class="form-control" placeholder="@lang('Pusher App ID')" name="pusher_app_id" value="{{ config('app.PUSHER_APP_ID') }}" required>
                            </div>
                            <div class="form-group col-sm-6">
                                <label> @lang('Pusher App Key')</label>
                                <input type="text" class="form-control" placeholder="@lang('Pusher App Key')" name="pusher_app_key" value="{{ config('app.PUSHER_APP_KEY') }}" required>
                            </div>
                            <div class="form-group col-sm-6">
                                <label> @lang('Pusher App Secret')</label>
                                <input type="text" class="form-control" placeholder="@lang('Pusher App Secret')" name="pusher_app_secret" value="{{ config('app.PUSHER_APP_SECRET') }}" required>
                            </div>
                            <div class="form-group col-sm-6">
                                <label> @lang('Pusher App Cluster')</label>
                                <input type="text" class="form-control" placeholder="@lang('Pusher App Cluster')" name="pusher_app_cluster" value="{{ config('app.PUSHER_APP_CLUSTER') }}" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn--primary w-100 h-45">@lang('Submit')</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection